Package networkx :: Package generators :: Module geometric

[frames | no frames]

## Module networkx.generators.geometric

Generators for geometric graphs.

Function Summary
| ``random_geometric_graph`(n, radius, result, **kwds)` Random geometric graph in the unit cube

Variable Summary
`str` | `__author__` = `'Aric Hagberg (hagberg@lanl.gov)\nPieter Sw...`
`str` | `__credits__` = `''`
`str` | `__date__` = `'$Date: 2005-06-15 12:44:45 -0600 (Wed, 15 Ju...`
`str` | `__revision__` = `'$Revision: 1038 $'`

Function Details

### random_geometric_graph(n, radius, result=False, **kwds)

Random geometric graph in the unit cube

Returned Graph has added attribute G.pos which is a dict keyed by node to the position tuple for the node.

Variable Details

### __author__

  Type:
    `str`
  Value:

        '''Aric Hagberg (hagberg@lanl.gov)
        Pieter Swart (swart@lanl.gov)'''

### __credits__

  Type:
    `str`
  Value:

        ''

### __date__

  Type:
    `str`
  Value:

        '$Date: 2005-06-15 12:44:45 -0600 (Wed, 15 Jun 2005) $'

### __revision__

  Type:
    `str`
  Value:

        '$Revision: 1038 $'

Generated by Epydoc 2.1 on Sun Aug 21 08:06:58 2005 | http://epydoc.sf.net